> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve speaker separation status

> Retrieve the status of the speaker separation process and the list of detected speakers if complete.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/voices/pvc/{voice_id}/samples/{sample_id}/speakers
openapi: 3.1.0
info:
  title: Threetone API
  description: >-
    APIs for the Threetone Agents Platform and shared workspace resources.
    Authenticate programmatic requests with an API key in the x-api-key header.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voices/pvc/{voice_id}/samples/{sample_id}/speakers:
    get:
      tags:
        - Voices
      summary: Retrieve speaker separation status
      description: >-
        Retrieve the status of the speaker separation process and the list of
        detected speakers if complete.
      operationId: get_pvc_sample_speakers
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Voice ID to be used, you can use GET /v1/voices to list all the
              available voices.
            examples:
              - 21m00Tcm4TlvDq8ikWAM
            title: Voice Id
          description: >-
            Voice ID to be used, you can use GET /v1/voices to list all the
            available voices.
        - name: sample_id
          in: path
          required: true
          schema:
            type: string
            description: Sample ID to be used
            examples:
              - VW7YKqPnjY4h39yTbx2L
            title: Sample Id
          description: Sample ID to be used
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpeakerSeparationResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SpeakerSeparationResponseModel:
      properties:
        voice_id:
          type: string
          title: Voice Id
          description: The ID of the voice.
        sample_id:
          type: string
          title: Sample Id
          description: The ID of the sample.
        status:
          type: string
          enum:
            - not_started
            - pending
            - completed
            - failed
          title: Status
          description: The status of the speaker separation.
        speakers:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/SpeakerResponseModel'
              type: object
            - type: 'null'
          title: Speakers
          description: The speakers of the sample.
        selected_speaker_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Selected Speaker Ids
          description: The IDs of the selected speakers.
      type: object
      required:
        - voice_id
        - sample_id
        - status
      title: SpeakerSeparationResponseModel
      example:
        sample_id: DCwhRBWXzGAHq8TQ4Fs18
        status: not_started
        voice_id: DCwhRBWXzGAHq8TQ4Fs18
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SpeakerResponseModel:
      properties:
        speaker_id:
          type: string
          title: Speaker Id
          description: The ID of the speaker.
        duration_secs:
          type: number
          title: Duration Secs
          description: The duration of the speaker segment in seconds.
        utterances:
          anyOf:
            - items:
                $ref: '#/components/schemas/UtteranceResponseModel'
              type: array
            - type: 'null'
          title: Utterances
          description: The utterances of the speaker.
      type: object
      required:
        - speaker_id
        - duration_secs
      title: SpeakerResponseModel
      example:
        duration_secs: 5
        speaker_id: DCwhRBWXzGAHq8TQ4Fs18
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UtteranceResponseModel:
      properties:
        start:
          type: number
          title: Start
          description: The start time of the utterance in seconds.
        end:
          type: number
          title: End
          description: The end time of the utterance in seconds.
      type: object
      required:
        - start
        - end
      title: UtteranceResponseModel
      example:
        end: 1
        start: 0

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.